<!-----------------------------------------------------------------
	app_globals.cfm
	
	Contains all the global variables for BlueBoard.  It is
	included from every fusebox in the system.  Mostly inherited
	from Application.cfm in SMB.  See BlueBoard Notes.
	
	SMB copyright info:
	
	Simple Message Board 1.1 
	Copyright (C) 2000 by Man and Machine, Ltd. <http://www.technocraft.com/>

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

	Written by Tony Schreiber <dune@technocraft.com>
	Additional code by Joe Schreiber <joe@technocraft.com>
	Additional support by Ricardo Lowe <RicardoLowe@hotmail.com>
	Additional code from URLFormat custom tag by Joel Mueller <jmueller@creativeis.com>
	Additional code from SafeText custom tag by Nathan Dintenfass/Ben Archibald <nathan@changemedia.com>
----------------------------------------------------------------->

<!--	BlueBoard Note: Edit this value to reflect the base
		directory of your BlueBoard installation. -->
<CFSET request.cfroot="/teams/hotfision/BlueBoard">
<CFSET request.server="se1.cs.columbia.edu">

<CFSETTING ENABLECFOUTPUTONLY="YES">


<!--- Threads.Status
		0 = Active (Viewable and Postable)
		1 = InActive (Not Viewable nor Postable)
		2 = Locked (Viewable but not Postable) --->
		
<CFSCRIPT>

// Manufacturer Variables
	MB_Version 			= "1.0";								// This is your current version of Simple Message Board
	US_CID 				= 222;									// CID for United States from inc_countries.cfm

// Datasource Adjustments
	Bit_True 			= "1";									// MSSQL wants 1/0, PostGres wants TRUE/FALSE, Access doesn't care
	Bit_False 			= "0";									// MSSQL wants 1/0, PostGres wants TRUE/FALSE, Access doesn't care

// Main Variables
	MB_On				= 1;									// Turn Message Board On (1) or Off (0) (for maintenance, etc)
	MB_String 			= "BlueBoard";							// Name of Message Board (Shows in PageTitle)
	MB_URL 				= "http://se1.cs.columbia.edu/#request.cfroot#";	// Fully Qualified URL for the Message Board, NO trailing slash
	MB_Email 			= "btl10@columbia.edu";					// Email address of Administrator
	MB_Dir				= "#request.cfroot#";
	
	// BlueBoard Note: These directory macros were included to facilitate
	// fuzebox-ization.
	MB_BlocksDir		= "#MB_Dir#/blocks";
	MB_SearchDir		= "#MB_Dir#/search";
	MB_PostDir			= "#MB_Dir#/post";
	MB_AdminDir			= "#MB_Dir#/admin";
	MB_ModulesDir		= "#MB_Dir#/modules";
	MB_IconDir			= "#MB_Dir#/images";
	MB_Header			= "#MB_BlocksDir#/dsp_header.cfm";		// Header include file for your website (relative from this directory)
	MB_Footer			= "#MB_BlocksDir#/dsp_footer.cfm";		// Footer include file for your website (relative from this directory)

	PrimaryDomain 		= "#request.server#";
	PrimaryCookieDomain = ".cs.columbia.edu";
	CryptKey			= "fision";							// Password Cookie Encryption Key, change at installation
	WebsiteName			= "hotFision's BlueBoard";				// Your website
	WebsiteURL			= "http://#request.server#/#request.cfroot#";	// Full Qualified URL for your website
	PrimaryDataSource 	= "fision";								// Name of Cold Fusion DataSource

	// BlueBoard Note: We did not want the system to be complicated by
	// HTML-ized messages.  These are both turned off as a result.
	AutoLink			= 0;									// Turn Auto Linking On (1) or Off (0), for URLs and Email Addresses
	AllowHTML			= 0;									// Turn HTML On (1) or Off (0), allows only <A>, <IMG> and some formmatting tags

// Colors (Uncomment a scheme to use, or make your own)
/*
	Clr_Page	= "##FFFFFF";		// Page Background Color
	Clr_Text	= "##000000";		// Text
	Clr_Link 	= "##660000";		// Links
	Clr_VLink	= "##CC0000";		// Visited Links
	Clr_ALink	= "##800000";		// Active Links
	Clr_Error	= "##800000";		// Error Messages
	Clr_Label	= "##000000";		// Field Labels
	Clr_Table	= "##000000";		// Table Border/Background Color
	Clr_BG1 	= "##8080FF";		// Background 1 (Behind Field Labels) darkest
	Clr_BG2 	= "##80CC33";		// Background 2 (Behind other Fields) lighter
	Clr_BG3		= "##EEEEEE";		// Background 3 (Behind other Fields) even lighter
	Clr_BG4		= "##669900";		// Background 4 (Behind Main Headings)
	Clr_BG5		= "##DDDDDD";		// Background 5 (Alternates with 3, New Flag, Header/Footer) even lighter still
*/
// Columbia Blue Scheme, by BlueBoard
	Clr_Page	= "##336699";		// Page Background Color
	Clr_Text	= "##000000";		// Text
	Clr_Link 	= "##000066";		// Links
	Clr_VLink	= "##000099";		// Visited Links
	Clr_ALink	= "##000033";		// Active Links
	Clr_Error	= "##FF0000";		// Error Messages
	Clr_Label	= "##DDDDDD";		// Field Labels
	Clr_Table	= "##EEEEEE";		// Table Border/Background Color
	Clr_BG1 	= "##3366DD";		// Background 1 (Behind Field Labels) darkest
	Clr_BG2 	= "##DDDDDD";		// Background 2 (Behind other Fields) lighter
	Clr_BG3		= "##99CCFF";		// Background 3 (Behind other Fields) even lighter
	Clr_BG4		= "##CCCCCC";		// Background 4 (Behind Main Headings)
	Clr_BG5		= "##EEEEEE";		// Background 5 (Alternates with 3, New Flag, Header/Footer) even lighter still
	Clr_HBG1	= "##FF9999";		// Hot Background 1 (Light HotPost background)
	
	Clr_AdminText = "##FF0000";
//

/* Cool Green
	Clr_Page	= "##FFFFFF";		// Page Background Color
	Clr_Text	= "##000000";		// Text
	Clr_Link 	= "##006600";		// Links
	Clr_VLink	= "##009900";		// Visited Links
	Clr_ALink	= "##003300";		// Active Links
	Clr_Error	= "##FF0000";		// Error Messages
	Clr_Label	= "##000000";		// Field Labels
	Clr_Table	= "##000000";		// Table Border/Background Color
	Clr_BG1 	= "##BBCC99";		// Background 1 (Behind Field Labels) darkest
	Clr_BG2 	= "##CCDDAA";		// Background 2 (Behind other Fields) lighter
	Clr_BG3		= "##DDEEBB";		// Background 3 (Behind other Fields) even lighter
	Clr_BG4		= "##DDDDDD";		// Background 4 (Behind Main Headings)
	Clr_BG5		= "##FFFFCC";		// Background 5 (Alternates with 3, New Flag, Header/Footer) even lighter still
*/

// Formatting
	MaxThreads 	= 20;				// Maximum Threads Shown Per Screen per Forum
	MaxMessages = 30;				// Maximum Messages Shown Per Screen per Thread
	MaxUsers	= 40;				// Maximum Users Shown Per Screen in the Directory
	DateMask 	= "mm/dd/yy";		// DateFormat Mask
	TimeMask 	= "hh:mm tt";		// TimeFormat Mask

// User Database Fields
	UF1_Bit		= "0";				// Exists in 4 = Join/Update, 2 = Profile, 1 = Messages
	UF1_Label	= "User Field 1";
	UF2_Bit		= "0";
	UF2_Label	= "User Field 2";
	UF3_Bit		= "0";
	UF3_Label	= "User Field 3";

// User Level Information
	U1_Count 	= 10;				// Number of Posts Needed to Reach Level U2
	U1_String 	= "New Member";		// Name of Level U1
	U2_String 	= "Member";			// Name of Level U2
	Mod_String	= "TA";		// Name of Moderator

// Icons
	Icon_New	= '<IMG SRC="#MB_IconDir#/new.gif" WIDTH=7 HEIGHT=18 ALIGN="MIDDLE" ALT="New Message" BORDER=0>';
	Icon_Lock	= '<IMG SRC="#MB_IconDir#/lock.gif" WIDTH=18 HEIGHT=18 ALIGN="MIDDLE" ALT="Locked" BORDER=0>';
	Icon_Vote	= '<IMG SRC="#MB_IconDir#/vote.gif" WIDTH=19 HEIGHT=18 ALIGN="MIDDLE" ALT="Vote" BORDER=0>';
	Icon_Edit	= '<IMG SRC="#MB_IconDir#/edit.gif" WIDTH=29 HEIGHT=13 ALIGN="MIDDLE" ALT="Edit" BORDER=0>';
	Icon_Reply	= '<IMG SRC="#MB_IconDir#/reply.gif" WIDTH=20 HEIGHT=18 ALIGN="MIDDLE" ALT="Reply" BORDER=0>';
	Icon_Help	= '<IMG SRC="#MB_IconDir#/help.gif" WIDTH=13 HEIGHT=18 ALIGN="MIDDLE" ALT="Help" BORDER=0>';
	Icon_Up		= '<IMG SRC="#MB_IconDir#/up.gif" WIDTH=15 HEIGHT=18 ALIGN="MIDDLE" ALT="Up" BORDER=0>';
	Icon_Down	= '<IMG SRC="#MB_IconDir#/down.gif" WIDTH=15 HEIGHT=18 ALIGN="MIDDLE" ALT="Dn" BORDER=0>';
	Icon_Delete = '<IMG SRC="#MB_IconDir#/deletemessage.gif" WIDTH=20 HEIGHT=20 ALIGN="MIDDLE" ALT="Dn" BORDER=0>';
	Icon_TA		= '<IMG SRC="#MB_IconDir#/smile.gif" WIDTH=15 HEIGHT=15 ALIGN="MIDDLE" ALT="TA" BORDER=0>';
	Icon_Prof	= '<IMG SRC="#MB_IconDir#/wink.gif" WIDTH=15 HEIGHT=15 ALIGN="MIDDLE" ALT="Prof." BORDER=0>';
	
// Optional Features

// Tree View - User-Optional Message Display
// ***** REQUIRES CFX_MAKE_TREE!! (included in /install directory) *****
	TV_On 		= 0;					// Turn Tree View On (1) or Off (0)
	TV_Indent 	= 10;					// Arbitrary Number to Indent Messages in Tree View
	TV_Indent1	= "#MB_IconDir#/indent1.gif";	// Graphic for first indent
	TV_Indent2	= "#MB_IconDir#/indent2.gif";	// Graphic for subsequent indents

// User Albums - Photo Areas for Users
// ***** REQUIRES CFX_GIFGD!! *****
// NOT YET FUNCTIONAL!!
	UA_On 		= 0;				// Turn User Albums On (1) or Off (0)
	UA_String 	= "Photo Album";	// Name of User Albums, Singular (Reader's Ride, Photo Album)
	UA_UsrQuota = 5;				// Per User Quota (in MB)
	UA_ModQuota = 10;				// Per User Quota for Moderators (in MB)
	UA_MaxQuota = 100;				// Entire Site User Albums Quota (in MB)
	UA_Path		= "";				// ...
	UA_Exts		= "gif,jpg,jpeg";	// Allowed Extensions
	UA_TN_WD	= 200;				// Thumbnail Width
	UA_TN_HT	= 133;				// Thumbnail Height
	UA_Max_WD	= 600;				// Photo Max Width
	UA_Max_HT	= 600;				// Photo Max Height
	
// Brownie Points - Post Rating System
	BP_On 		= 0;				// Turn Brownie Point System On (1) or Off (0)
	BP_String 	= "Brownie Point";	// Name of Brownie Points, Singular (Gold Piece, Karma Point, etc...)
	BP_Mod 		= 500;				// Number of Points to be a Moderator
	BP_Vote 	= 0;				// Number of Points Required for Voting Privileges
	/* Set this value to something other than 0 once your forum reaches 100 members. We recommend a value 
	1 per every 100 members, ie 500 members, set BP_Vote = 5 */
	BP_Post 	= -10;				// Number of Points to Lose Posting Privileges

</CFSCRIPT>

<!--- BlueBoard Note: Form Submission Security Check is no longer
	  necessary because of the check we do at the end
<CFIF (CGI.REQUEST_METHOD EQ "POST") AND (LEFT(CGI.HTTP_REFERER,LEN(MB_URL)) NEQ MB_URL)><CFLOCATION URL="#MB_URL#"></CFIF>
 --->

<!--- Be Sure to Run /adm_createpages.cfm First! --->
<CFERROR TYPE="REQUEST" TEMPLATE="#MB_Dir#/error-req.cfm" MAILTO="#MB_Email#">
<CFERROR TYPE="VALIDATION" TEMPLATE="#MB_Dir#/error-val.cfm">

<CFSETTING ENABLECFOUTPUTONLY="NO">

<!-- BlueBoard Note: MB_On is always true! -->
<CFIF NOT MB_On>
	<CFOUTPUT><P>Sorry, the #MB_String# is down for maintenance.</P></CFOUTPUT>
	<CFABORT>
</CFIF>

<!-- BlueBoard Note: This very important piece of code, added
	 by BlueBoard, checks to see if the user is logged in.  If
	 not, it redirects them to a login page.  Mothership will
	 take care of this later
-->
<CFIF NOT IsDefined('Cookie.UID')>
	<CFIF (IsDefined('ThisPage') AND ((ThisPage EQ "Login") OR (ThisPage EQ "Register")))>
	<CFELSE>
		<cflocation url="#MB_Dir#/login.cfm">
	</cfif>
</CFIF>
