<!-----------------------------------------------------------------------------------------------
	index.cfm
	
	This is the primary fusebox for BlueBoard.  It handles all requests for viewing
	classes, forums, threads, and messages.
------------------------------------------------------------------------------------------------>

<CFINCLUDE template="app_globals.cfm">
<CFINCLUDE template="app_locals.cfm">

<!-- The Main Fusebox -->
<CFIF isdefined("url.fuseaction")>
	<CFSWITCH expression="#url.fuseaction#">
		<!-- Case: the user is requesting the list of forums in a particular class -->
		<CFCASE value="ShowClass">
			<CFSET ThisPage="Available Forums">
			<CFINCLUDE template="#MB_Header#">
			<CFINCLUDE template="act_getforums.cfm">
			<CFINCLUDE template="dsp_class.cfm">
		</CFCASE>
		<!-- Case: the user is requesting the threads within a particular forum -->
		<CFCASE value="ShowForum">
			<CFSET ThisPage="Current Threads">
			<CFINCLUDE template="#MB_Header#">
			<!-- If no Forum ID or start row is specified in URL, initialize them -->
			<CFPARAM NAME="FID" DEFAULT="0" TYPE="Numeric">
			<CFPARAM NAME="StartRow" DEFAULT="1" TYPE="Numeric">
			<CFINCLUDE template="act_getforum.cfm">
			<CFINCLUDE template="dsp_forum.cfm">
		</CFCASE>
		<!-- Case: the user is requesting a particular thread -->
		<CFCASE value="ShowThread">
			<CFSET ThisPage = "View Thread">
			<CFINCLUDE template="#MB_Header#">
			<CFPARAM NAME="TID" DEFAULT="0" TYPE="Numeric">
			<CFPARAM NAME="StartRow" DEFAULT="1" TYPE="Numeric">
			<CFPARAM NAME="Expand" DEFAULT="1" TYPE="Numeric">
			<CFPARAM NAME="ReverseSort" DEFAULT="0" TYPE="Numeric">
			<CFINCLUDE template="act_getmessages.cfm">
			<CFINCLUDE template="dsp_thread.cfm">
		</CFCASE>
		<!-- Case: the user is requesting a particular message -->
		<CFCASE value="ShowMessage">
			<CFSET ThisPage="Read Message">
			<CFINCLUDE template="#MB_Header#">
			<!-- If no Message ID is supplied in URL, then let it be 0 -->
			<CFPARAM NAME="MID" DEFAULT="0" TYPE="Numeric">
			<CFINCLUDE TEMPLATE="act_getmessage.cfm">
			<CFINCLUDE TEMPLATE="dsp_message.cfm">
		</CFCASE>
		<!-- Case: the user is requesting a list of users (stub functionality) -->
		<CFCASE value="ShowUsers">
			<CFSET ThisPage="User Directory">
			<CFINCLUDE template="#MB_Header#">
			<!-- If no Message ID is supplied in URL, then let it be 0 -->
			<CFPARAM NAME="UID" DEFAULT="0" TYPE="Numeric">
			<CFPARAM NAME="StartRow" DEFAULT="1" TYPE="Numeric">
			<CFINCLUDE TEMPLATE="act_getusers.cfm">
			<CFINCLUDE TEMPLATE="dsp_users.cfm">
		</CFCASE>
		<!-- Case: the user is requesting info on a particular user -->
		<CFCASE value="ShowUser">
			<CFSET ThisPage = "User Profile">
			<CFINCLUDE template="#MB_Header#">
			<CFPARAM NAME="UID" DEFAULT="0" TYPE="Numeric">
			<!-- If no Message ID is supplied in URL, then let it be 0 -->
			<CFPARAM NAME="UID" DEFAULT="0" TYPE="Numeric">
			<CFINCLUDE TEMPLATE="act_getuser.cfm">
			<CFINCLUDE TEMPLATE="dsp_user.cfm">
		</CFCASE>
	<!-- Undefined Case: assume user wants classlist -->
		<CFDEFAULTCASE>
			<CFSET ThisPage="Available Forums">
			<CFINCLUDE template="#MB_Header#">
			<CFINCLUDE template="act_getforums.cfm">
			<CFINCLUDE template="dsp_class.cfm">
		</CFDEFAULTCASE>
	</CFSWITCH>
<CFELSE>
	<!-- No fuseaction: assume user wants classlist -->
	<CFSET ThisPage="Available Forums">
	<CFINCLUDE template="#MB_Header#">
	<CFINCLUDE template="act_getforums.cfm">
	<CFINCLUDE template="dsp_class.cfm">
</CFIF>

<CFINCLUDE template="#MB_Footer#">
