<!----------------------------------------------------------------
	act_post.cfm

	Performs the database operations that actually add a new
	thread/post/reply, or edit a currently existing post. Mostly
	inherited from Simple Message Board's post.cfm.  See
	BlueBoard Notes.
------------------------------------------------------------------>

<!-- BlueBoard Note: Make sure that if the user was not entitled to
	 make the message a HotPost, that its HotPost status is false!
-->
<CFPARAM name="FORM.HotPost" default="#Bit_False#">

<!-- BlueBoard Note: Added "Admin" to user query, so we know user's
	 status.  Also, deleted password in 'WHERE' because it is
	 not necessary
-->
<CFQUERY NAME="GetPoster" DATASOURCE="#PrimaryDataSource#">
	SELECT UID, UserName, Password, Expand, ReverseSort, BPCount, CanPost, Signature, Admin,
		  (SELECT COUNT(*) FROM Moderators WHERE Moderators.FID = #FORM.FID# AND Moderators.UID = Users.UID) AS IsModerator
	  FROM Users 
	 WHERE UserName = '#Cookie.Username#'
</CFQUERY>

<CFIF NOT GetPoster.RecordCount>
	<CFSET Error = "Sorry, Incorrect UserName and/or Password.">

<!-- BlueBoard Note: The following two checks are no longer necessary,
	 we have done away with brownie points and posting privilages
<CFELSEIF BP_On AND (GetPoster.BPCount LT BP_Post)>
	<CFSET Error = "Sorry, you do not have enough #BP_String#s to post.">
<CFELSEIF NOT GetPoster.CanPost>
	<CFSET Error = "Sorry, you do not have posting privileges.">
-->

<!-- BlueBoard Note: Added admin check here - admins should be
	 able to edit anyone's message -->
<CFELSEIF FORM.Edit AND NOT (GetPoster.Admin OR GetPoster.UID EQ GetMessage.UID)>
	<CFSET Error = "Sorry, you cannot edit this message.">
<CFELSE>

<CFOUTPUT>
	<TABLE CELLPADDING=4 CELLSPACING=1 BORDER=0>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><B>InstaPost</B></TD></TR>
	<TR>
		<TD BGCOLOR="#Clr_BG3#" COLSPAN=3>
</cfoutput>
	<!--- Process --->
	<CFSET RightNow = Now()>
	<CFTRANSACTION>
		<CFQUERY NAME="CreateThread" DATASOURCE="#PrimaryDataSource#">
		   INSERT INTO Threads (FID, Thread, StartDate, StartDate_UID, LastPost, MCount, Status) 
			    VALUES (#FORM.FID#, '#FORM.Subject#', #RightNow#, #GetPoster.UID#, #RightNow#, 1, 0)
		 </CFQUERY>
		<CFQUERY NAME="NewThread" DATASOURCE="#PrimaryDataSource#">
	        SELECT MAX(TID) AS NewID FROM Threads
	    </CFQUERY>
		<CFSET ThisThread = NewThread.NewID>
		<!-- BlueBoard Note: Edited this query to be sure it inserts
			 HotPost information into the db -->
		<CFQUERY NAME="PostMessage" DATASOURCE="#PrimaryDataSource#">
	        INSERT INTO Messages (TID, UID, Subject, Message, PostDate, RemoteIP, BP, UseSig, SendMail, HotPost) 
	        VALUES (#ThisThread#, #GetPoster.UID#, '#Form.Subject#', '#Form.Message#', 
					#RightNow#, '#CGI.REMOTE_ADDR#', 0, #UseSig#, #Bit_False#, #HotPost#)
	    </CFQUERY>
		<CFQUERY NAME="UpdateUsers" DATASOURCE="#PrimaryDataSource#">
	        UPDATE Users SET MCount = MCount + 1 WHERE UID = #GetPoster.UID#
	    </CFQUERY>
		<CFQUERY NAME="UpdateForums" DATASOURCE="#PrimaryDataSource#">
	        UPDATE Forums SET TCount = TCount + 1, MCount = MCount + 1, LastPost = #RightNow#
			WHERE FID = #Form.FID#
	    </CFQUERY>
	</CFTRANSACTION>

	<CFOUTPUT>
		<B>Message #FORM.Subject# Posted</B> 
	</CFOUTPUT>
<!---
	<CFHTMLHEAD TEXT='<META HTTP-EQUIV="Refresh" CONTENT="2;URL=#MB_Dir#/index.cfm?Fuseaction=ShowThread&TID=#ThisThread#">'>
--->
</CFIF>

<CFIF IsDefined('Error')>
	<CFOUTPUT>
		<B><FONT COLOR="#Clr_Error#">#Error#</FONT></B>
	</CFOUTPUT>
</CFIF>

<CFOUTPUT>
	</td>
	</tr>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3>&nbsp;</td></TD></TR>
	</table>
</cfoutput>