<!----------------------------------------------------------------------------
	dsp_postform.cfm
	
	Largely inherited from "post.cfm" from Simple Message Board.
	See	BlueBoard Notes.
	
	All links from this page have been edited to employ fuseactions.
------------------------------------------------------------------------------>

<CFSET Action = "">

<!-- These queries (inherited from SMB) prepare the page for whichever
     function is being performed:

	- Create new thread
	- Create new post in thread
	- Reply to existing post
	- Edit existing post
-->
<CFIF IsDefined('URL.MID')> <!--- Reply to Message (MID) --->

	<CFQUERY NAME="GetMessage" DATASOURCE="#PrimaryDataSource#">
		SELECT Forums.FID, Forums.Forum, Threads.TID, Threads.Thread, Threads.Status,
		       Messages.*, Users.UserName, Groups.GroupName, Groups.GID
		  FROM Groups, Forums, Threads, Messages, Users
		 WHERE Groups.GID = Forums.GID
		   AND Forums.FID = Threads.FID
		   AND Threads.TID = Messages.TID
		   AND Messages.UID = Users.UID
		   AND Messages.MID = #URL.MID#
		   AND Threads.Status = 0
	</CFQUERY>

	<CFIF GetMessage.RecordCount>
		<CFSET FID = GetMessage.FID>
		<CFSET Forum = TRIM(GetMessage.Forum)>
		<CFSET TID = GetMessage.TID>
		<CFSET Thread = TRIM(GetMessage.Thread)>
		<CFSET MID = GetMessage.MID>
		<CFSET Indent = 0>
		<CFSET GID = GetMessage.GID>
		<CFSET Group = GetMessage.GroupName>
		<CFIF Left(GetMessage.Subject,3) IS "RE:">
			<CFSET UseSubject = Trim(Mid(GetMessage.Subject,4,50))>
		<CFELSE>
			<CFSET UseSubject = Trim(GetMessage.Subject)>
		</CFIF>
		<CFIF IsDefined('Edit')>
			<CFSET Action = "Edit Message">
			<CFSET Edit = 1>
		<CFELSE>
			<CFSET Action = "Post Reply">
			<CFSET Edit = 0>
		</CFIF>
		<CFSET HotPost = GetMessage.HotPost>
	</CFIF>

<CFELSEIF IsDefined('URL.TID')> <!--- New Message in Thread (TID) --->

	<CFQUERY NAME="GetThread" DATASOURCE="#PrimaryDataSource#">
		SELECT Forums.FID, Forums.Forum, Groups.GroupName, Groups.GID,
		       Threads.TID, Threads.Thread, Threads.Status
          FROM Forums, Threads, Groups
         WHERE Groups.GID = Forums.GID
		   AND Forums.FID = Threads.FID
           AND Threads.TID = #URL.TID#
           AND Threads.Status = 0
	</CFQUERY>

	<CFIF GetThread.RecordCount>
		<CFSET FID = GetThread.FID>
		<CFSET Forum = TRIM(GetThread.Forum)>
		<CFSET TID = GetThread.TID>
		<CFSET Thread = TRIM(GetThread.Thread)>		
		<CFSET MID = 0>
		<CFSET Indent = 0>
		<CFSET Action ="Post Message">
		<CFSET Edit = 0>
		<CFSET GID = 0>
		<CFSET Group = "#GetThread.GroupName#">
</CFIF>

<CFELSEIF IsDefined('URL.FID')> <!--- New Thread in Forum (FID) --->

	<!-- BlueBoard note: Need to grab GID -->
	<CFQUERY NAME="GetForum" DATASOURCE="#PrimaryDataSource#">
		SELECT Forums.FID, Forums.GID, Forums.Forum, Groups.GroupName
		  FROM Forums, Groups
		 WHERE Forums.GID = Groups.GID
		   AND Forums.FID = #URL.FID#
	</CFQUERY>
	<CFIF GetForum.RecordCount>
		<CFSET FID = GetForum.FID>
		<CFSET Forum = TRIM(GetForum.Forum)>
		<CFSET TID = 0>
		<CFSET Thread = "">
		<CFSET MID = 0>
		<CFSET Indent = 0>
		<CFSET Action = "Post Thread">
		<CFSET Edit = 0>
		<CFSET GID = GetForum.GID>
		<CFSET Group = TRIM(GetForum.GroupName)>
	</CFIF>

<CFELSE> <!--- New Thread: Show Forum Drop Down Box --->

	<!-- Note: GetForums query changed so that only the "groups" (classes)
		 that are valid for the current user are retrieved -->
	<CFQUERY NAME="GetForums" DATASOURCE="#PrimaryDataSource#">
		SELECT Forums.FID, Forums.Forum, Groups.ClassID, Groups.GroupName
		  FROM Forums, Groups
		 WHERE Groups.GID = Forums.GID
           AND (Groups.ClassID = 'noclass'
	       <CFLOOP index="ci" list="cs3156,cs4701,cs3824,cs3261,bugs" delimiters=",">
		    OR Groups.ClassID = '#ci#'
		   </CFLOOP>
		       )
		ORDER BY Forums.GID
	</CFQUERY>
	
	<CFIF GetForums.RecordCount>
		<CFSET FID = 0>
		<CFSET Forum = "">
		<CFSET TID = 0>
		<CFSET Thread = "">
		<CFSET MID = 0>
		<CFSET Indent = 0>
		<CFSET Action = "Post Thread">
		<CFSET Edit = 0>
		<CFSET GID = 0>
		<CFSET Group = "">
	</CFIF>

</CFIF>

<CFIF LEN(Action)>
	
	<!-- This is the new post form.  Inherited from SMB -->
	
	<CFOUTPUT>
	<FORM METHOD="post" ACTION="#MB_PostDir#/index.cfm?Fuseaction=Post">
	<CFIF FID><INPUT TYPE="hidden" NAME="FID" VALUE="#FID#"></CFIF>
	<INPUT TYPE="hidden" NAME="TID" VALUE="#TID#">
	<INPUT TYPE="hidden" NAME="MID" VALUE="#MID#">
<!---	<INPUT TYPE="hidden" NAME="Indent" VALUE="#Indent#"> --->
	<INPUT TYPE="hidden" NAME="Edit" VALUE="#Edit#">
	<INPUT TYPE="hidden" NAME="FID_required" VALUE="You must choose a forum">
<!--
	<INPUT TYPE="hidden" NAME="Username_required" VALUE="You must enter a username">
	<INPUT TYPE="hidden" NAME="Password_required" VALUE="You must enter a password">
-->
	<INPUT TYPE="hidden" NAME="Subject_required" VALUE="Please enter a subject for your message">
	<INPUT TYPE="hidden" NAME="Message_required" VALUE="Please enter a message">
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><B>#Action#</B></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Class/Forum</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
	</CFOUTPUT>
	<CFIF FID>
		<CFOUTPUT>
			<A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowForum&FID=#FID#">#Group#: #Forum#</A>
		</CFOUTPUT>
	<CFELSE>
		<CFOUTPUT>
			<SELECT NAME="FID">
		</CFOUTPUT>
		<OPTION VALUE="">Select Class and Forum</OPTION>
		
		<!-- BlueBoard Note: The GetForums query has been modified to retrive
			 only the classes that the current user is in.  We include ClassID
			 in drop-down box for user's conveneince.
		-->
		<CFOUTPUT QUERY="GetForums">
			<OPTION VALUE="#FID#">#TRIM(GetForums.GroupName)#: #TRIM(Forum)#</OPTION>
		</CFOUTPUT>
		
		<CFOUTPUT>
			</SELECT>
		</CFOUTPUT>
	</CFIF>
	</TD></TR>
	<CFOUTPUT>
	<CFIF LEN(Thread)>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Thread</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><A HREF="#MB_Dir#/index.cfm?Fuseaction=ShowThread&TID=#TID#">#Thread#</A></TD></TR>
	</CFIF>
	<CFIF MID>
		<CFIF Edit> <!--- Editing Message --->
		<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
			<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Subject</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="Subject" SIZE=50 MAXLENGTH=100 VALUE="#UseSubject#" TABINDEX="1"></TD></TR>
		<TR><TD BGCOLOR="#Clr_BG2#" VALIGN="TOP"><FONT COLOR="#Clr_Link#">*</FONT></TD>
			<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Message</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#"><TEXTAREA NAME="Message" COLS=60 ROWS=10 WRAP="VIRTUAL" TABINDEX="2">#TRIM(GetMessage.Message)#</TEXTAREA><BR>
<!--  BlueBoard Note: Who cares about these, they're always off in our system!
				<FONT SIZE=2><A HREF="help.cfm?section=autolink">AutoLinking</A> is <CFIF AutoLink><B>on</B> (Email Addresses and URLs will be automatically converted to links)<CFELSE><B>off</B></CFIF>.</FONT><BR>
				<FONT SIZE=2><A HREF="help.cfm?section=html">HTML</A> is <CFIF AllowHTML><B>on</B> (Links, Images and Bold, Underline and Italic are allowed)<CFELSE><B>off</B></CFIF>.</FONT>
-->
		</TD></TR>
		<CFELSE> <!--- Quoting Message --->
		<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
			<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Subject</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="Subject" SIZE=50 MAXLENGTH=100 VALUE="RE: #UseSubject#" TABINDEX="1"></TD></TR>
		<TR><TD BGCOLOR="#Clr_BG2#" VALIGN="TOP"><FONT COLOR="#Clr_Link#">*</FONT></TD>
			<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Message</B></FONT>&nbsp;</TD>
			<TD BGCOLOR="#Clr_BG3#">
<!-- 
	BlueBoard Note: since HTML in posts functionality was removed, we created this new 
	system for quoting other people's messages.
-->
<TEXTAREA NAME="Message" COLS=60 ROWS=10 WRAP="VIRTUAL" TABINDEX="2">
--- #TRIM(GetMessage.UserName)# said ---
#TRIM(GetMessage.Message)#
--- end quote ---
</TEXTAREA><BR>

<!--  BlueBoard Note: Who cares about these, they're always off!
				<FONT SIZE=2><A HREF="help.cfm?section=autolink">AutoLinking</A> is <CFIF AutoLink><B>on</B> (Email Addresses and URLs will be automatically converted to links)<CFELSE><B>off</B></CFIF>.</FONT><BR>
				<FONT SIZE=2><A HREF="help.cfm?section=html">HTML</A> is <CFIF AllowHTML><B>on</B> (Links, Images and Bold, Underline and Italic are allowed)<CFELSE><B>off</B></CFIF>.</FONT>
-->
		</TD></TR>
		</CFIF>
	<CFELSE> <!--- New Message --->
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Subject</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="Subject" SIZE=50 MAXLENGTH=100 TABINDEX="1"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#" VALIGN="TOP"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Message</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><TEXTAREA NAME="Message" COLS=60 ROWS=10 WRAP="VIRTUAL" TABINDEX="2"></TEXTAREA><BR>
<!--  BlueBoard Note: Who cares about these, they're always off!
			<FONT SIZE=2><A HREF="help.cfm?section=autolink">AutoLinking</A> is <CFIF AutoLink><B>on</B> (Email Addresses and URLs will be automatically converted to links)<CFELSE><B>off</B></CFIF>.</FONT><BR>
			<FONT SIZE=2><A HREF="help.cfm?section=html">HTML</A> is <CFIF AllowHTML><B>on</B> (Links, Images and Bold, Underline and Italic are allowed)<CFELSE><B>off</B></CFIF>.</FONT>
-->
		</TD></TR>
	</CFIF>
<!-- BlueBoard Note: We already know who this is, so we don't need these fields
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Username</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="text" NAME="Username" SIZE="10" TABINDEX="3" <CFIF IsDefined('Cookie.Username')>VALUE="#TRIM(Cookie.Username)#"</CFIF>> <FONT SIZE=1><A HREF="#MB_Dir#/join.cfm">No Username? Join!</A></FONT></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG2#"><FONT COLOR="#Clr_Link#">*</FONT></TD>
		<TD BGCOLOR="#Clr_BG1#" VALIGN="TOP">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Password</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="password" NAME="Password" SIZE="10" TABINDEX="4" <CFIF IsDefined('Cookie.Password')>VALUE="#TRIM(DECRYPT(Cookie.Password,CryptKey))#"</CFIF>> <FONT SIZE=1><A HREF="password.cfm">Forgot Password?</A></FONT></TD></TR>
-->
	<CFIF Edit>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Delete?</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="checkbox" NAME="Delete" VALUE="1"> <FONT SIZE=1>Only the original Poster or a Moderator may delete this message.</FONT></TD></TR>
	<CFELSE>
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Use Signature?</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="radio" NAME="UseSig" VALUE="#Bit_True#"> Yes <INPUT TYPE="radio" NAME="UseSig" VALUE="#Bit_False#" CHECKED> No</TD></TR>
	</CFIF>

<!--  BlueBoard Note: The following lines were added so that "admin" users, as defined
	  in our OCD, are able to specify whether the current post should receive HotPost
	  status.
-->
	<CFIF Cookie.Admin EQ "yes">
	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;<FONT COLOR="#Clr_Label#" SIZE=2><B>Hot Post?</B></FONT>&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#">
	<CFIF ((IsDefined('HotPost')) AND (HotPost EQ Bit_True))>
		<INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_True#" CHECKED> Yes <INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_False#"> No</TD></TR>
	<CFELSE>
		<INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_True#"> Yes <INPUT TYPE="radio" NAME="HotPost" VALUE="#Bit_False#" CHECKED> No</TD></TR>
	</CFIF>
	</cfif>

	<TR><TD BGCOLOR="#Clr_BG2#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG1#">&nbsp;</TD>
		<TD BGCOLOR="#Clr_BG3#"><INPUT TYPE="submit" VALUE="#Action#" TABINDEX="5"> <INPUT TYPE="button" VALUE="Cancel" onClick="history.go(-1)"></TD></TR>
	<TR><TD BGCOLOR="#Clr_BG4#" COLSPAN=3><FONT COLOR="#Clr_Link#">*</FONT> Indicates a required field</TD></TR>
	</FORM>
	</CFOUTPUT>

<CFELSE>

<CFOUTPUT><TR><TD BGCOLOR="#Clr_BG4#"><B><FONT COLOR="#Clr_Error#">Sorry, you cannot post to this thread.</FONT></B></TD></TR></CFOUTPUT>

</CFIF>

